Skip to main content
GET
List

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

merchantId
string

Merchant organization ID. Required when using an API key that is not scoped to a single merchant.

subscriptionId
string

Filter to sessions linked to this subscription (its own activation session plus all of its invoices' sessions).

customerId
string

Filter to sessions for this customer: payment-link sessions plus the activation and invoice sessions of the customer's subscriptions.

status
enum<string>

Filter by payment session status.

Available options:
pending,
processing,
completed,
failed,
expired,
cancelled
entityType
enum<string>

Filter by the kind of entity the session pays for.

Available options:
invoice,
subscription,
payment,
topup
limit
integer
default:10

Number of sessions to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Number of sessions to skip.

Required range: x >= 0

Response

List of payment sessions

object
enum<string>
required
Available options:
list
data
object[]
required
pagination
object
required

Offset-based pagination response.